package cz.moneta.test.dsl.ufo.banka.tasks;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.ufo.banka.pages.main.HKO101_S001_MainClientPage;

import java.util.function.Function;

public class ContactAddressTasks {

    private final Harness harness;

    public ContactAddressTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<HKO101_S001_MainClientPage, HKO101_S001_MainClientPage> createContactAddress() {
        return start -> start.clickAddContactAddressAndStatementsDistribution()
                .clickUseResidencyAsContactAndConfirm()
                .clickSave()
                .onDistributionStatementsPage()
                .clickContinue();
    }
}
